

#ifndef RH850_MACROS_H__
#define RH850_MACROS_H__

#define SYS_PERI_VDCE0      (( uint32_t )(1UL << 0U))
#define SYS_PERI_VDCE1      (( uint32_t )(1UL << 1U))
#define SYS_PERI_ETNB0      (( uint32_t )(1UL << 2U))
#define SYS_PERI_ISM0       (( uint32_t )(1UL << 3U))
#define SYS_PERI_ADCE0      (( uint32_t )(1UL << 4U))
#define SYS_PERI_SG0        (( uint32_t )(1UL << 5U))
#define SYS_PERI_SG1        (( uint32_t )(1UL << 6U))
#define SYS_PERI_SG2        (( uint32_t )(1UL << 7U))
#define SYS_PERI_SG3        (( uint32_t )(1UL << 8U))
#define SYS_PERI_SG4        (( uint32_t )(1UL << 9U))
#define SYS_PERI_LCBI0      (( uint32_t )(1UL << 10U))
#define SYS_PERI_MLBB0      (( uint32_t )(1UL << 11U))
#define SYS_PERI_SDRB0      (( uint32_t )(1UL << 12U))
#define SYS_PERI_XC0        (( uint32_t )(1UL << 13U))
#define SYS_PERI_RESETTABLE (0x00003FFFUL)
typedef enum
{
    CLOCK_STARTUP_PWR_ON = 0,
    CLOCK_STARTUP_WAKE_UP,
    CLOCK_STARTUP_SYSTEM_RESET,
} Clock_Startup_Mode_en_t;

extern void nop(void);
extern void enable_interrupt(void);
extern void disable_interrupt(void);
extern void software_reset(void);
extern void hardware_reset(void);

extern void             Sys_Peripheral_Reset(unsigned int u32Peri);
extern void             Sys_Enable_Preload_Buffer(void);
Clock_Startup_Mode_en_t Clock_Get_Startup_Mode(void);
#endif
